<?php
defined('ABSPATH') or die('No script kiddies please!');

add_action( 'widgets_init', 'wpm_reg_recommended_items' );
function wpm_reg_recommended_items() {

	register_widget( 'wpm_widget_recommended_items' );

}

class wpm_widget_recommended_items extends WP_Widget {
	private static $widget_id;

	/*  Constructor
	/* ------------------------------------ */
	function __construct() {
		parent::__construct(false, __('A_wd7::آیتم های پیشنهادی', 'wpm'), array('description' => __('آیتم های پیشنهادی', 'wpm'), 'classname' => 'wpm_widget_recommended_items'));
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget($args, $instance) {
		self::$widget_id = $args['widget_id'];
		echo $args['before_widget'];
		echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];

		$this->widgetContent($instance);
		echo $args['after_widget'];
	}

	public function widgetContent($args) {
		$max_tab_counts = $args['count'];
		$tabs_titles = array();
		$tabs_contents = array();
		$_counter = 0;
		echo '<ul>';
		for ($i = 1; $i <= $max_tab_counts; $i++) {
			$name = $args['name' . $i];
			$icon = $args['icon' . $i];
			$link = $args['link' . $i];
			$desc = $args['desc' . $i];
			if(empty($link)) $link='#';
			if(empty($name)) continue;
			//content
			echo '<li style="list-style:none;border:none">';
				echo '<a title="'.esc_attr($name).'" href="'.$link.'">';
						if(!empty($icon))
						{
							echo '<img alt="'.esc_attr($name).'" src="'.$icon.'" width="50" height="50">';
						}
						echo '<b style="color:blue;margin:0 5px;">'.$name.'</b><br>';
						echo '<span style="text-indent:5px;">'.$desc.'</span>';
				echo '</a>';
			echo '</li>';
		}
		echo '</ul>';


	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form($instance) {
		$title = !empty($instance['title']) ? $instance['title'] : __('آیتم های پیشنهادی', 'wpm');
		$count = !empty($instance['count']) ? $instance['count'] : 3;
		?>
		<style>
			.wpm-cat-slider{ padding:3px; border:1px solid #bbb; border-radius:3px; margin:5px; }
			.wpm-cat-slider select {  max-width: 100%; }
		</style>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
			name="<?php echo $this->get_field_name('title'); ?>" type="text"
			value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('تعداد:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>"
			name="<?php echo $this->get_field_name('count'); ?>" type="text"
			value="<?php echo esc_attr($count); ?>">
		</p>
		<?php
		for ($i = 1; $i <= $count; $i++) {
					@$name = $instance['name' . $i];
					@$icon = $instance['icon' . $i];
					@$link = $instance['link' . $i];
					@$desc = $instance['desc' . $i];
					?>
					<div class="wpm-cat-slider">
						<p>
							<label for="<?php echo $this->get_field_id('name' . $i); ?>"><?php _e('نام :');?><br>
							<input id="<?php echo $this->get_field_id('name' . $i); ?>" type="text" name="<?php echo $this->get_field_name('name' . $i) ?>" value="<?php echo $name; ?>"></label>
						</p>
						<p>
							<label for="<?php echo $this->get_field_id('icon' . $i); ?>"><?php _e('آیکن:');?><br>
							<input id="<?php echo $this->get_field_id('icon' . $i); ?>" type="text" name="<?php echo $this->get_field_name('icon' . $i) ?>" value="<?php echo $icon; ?>"></label>
						</p>
						<p>
							<label for="<?php echo $this->get_field_id('link' . $i); ?>"><?php _e('لینک:');?><br>
							<input id="<?php echo $this->get_field_id('link' . $i); ?>" type="text" name="<?php echo $this->get_field_name('link' . $i) ?>" value="<?php echo $link; ?>"></label>
						</p>
						<p>
							<label for="<?php echo $this->get_field_id('desc' . $i); ?>"><?php _e('توضیحات:');?><br>
							<input id="<?php echo $this->get_field_id('desc' . $i); ?>" type="text" name="<?php echo $this->get_field_name('desc' . $i) ?>" value="<?php echo $desc; ?>"></label>
						</p>

					</div>
					<?php
		}

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
		$instance['count'] = (!empty($new_instance['count'])) ? strip_tags($new_instance['count']) : 3;
		for ($i = 1; $i <= $new_instance['count']; $i++) {
			$instance['name' . $i] = (!empty($new_instance['name' . $i])) ? strip_tags($new_instance['name' . $i]) : '';
			$instance['icon' . $i] = (!empty($new_instance['icon' . $i])) ? strip_tags($new_instance['icon' . $i]) : '';
			$instance['link' . $i] = (!empty($new_instance['link' . $i])) ? strip_tags($new_instance['link' . $i]) : '';
			$instance['desc' . $i] = (!empty($new_instance['desc' . $i])) ? strip_tags($new_instance['desc' . $i]) : '';

		}

		return $instance;
	}

}
