<?php
defined('ABSPATH') or die('No script kiddies please!');

add_action( 'widgets_init', 'roman_reg_support_tel' );
function roman_reg_support_tel() {

	register_widget( 'filepress_widget_support_tel' );

}

class filepress_widget_support_tel extends WP_Widget {
	private static $widget_id;

	/*  Constructor
	/* ------------------------------------ */
	function __construct() {
		parent::__construct(false, __('A_wd7:: شماره تلفن ها', 'filepress'), array('description' => __('::wd7::تماس با پشتیبانی', 'filepress'), 'classname' => 'filepress_widget_support_tel support_wrapper background_widget_wrapper shadow_contects_min widget'));
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget($args, $instance) {
		self::$widget_id = $args['widget_id'];
		echo $args['before_widget'];
		echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'] ;

		$this->tabsContent($instance);
		echo $args['after_widget'];
	}

	public function tabsContent($args) {

		$title = $args['title'];
		$tel1 = @$args['tel1'];
		$tel2 = @$args['tel2'];
		?>
        <div class="widget_content ">
            <span class="tell_Support"><i class="fa fa-headphones"></i><?=$title?></span>
            <hr class="online_store_cmn_sep">
            <?php if(!empty($tel1)){echo '<a class="support_tels" href="tel:'.$tel1.'">'.$tel1.'</a>';} ?>
            <?php if(!empty($tel2)){echo '<a class="support_tels" href="tel:'.$tel2.'">'.$tel2.'</a>';} ?>

        </div>

		<?php

	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form($instance) {
		$title = !empty($instance['title']) ? $instance['title'] : __(' تماس با پشتیبانی', 'filepress');
		$tel1 = !empty($instance['tel1']) ? $instance['tel1'] : '';
		$tel2 = !empty($instance['tel2']) ? $instance['tel2'] : '';
		?>
		<style>
			.filepress-cat-slider{ padding:3px; border:1px solid #bbb; border-radius:3px; margin:5px; }
			.filepress-cat-slider select {  max-width: 100%; }
		</style>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
			name="<?php echo $this->get_field_name('title'); ?>" type="text"
			value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('tel1'); ?>"><?php _e('شماره تماس اول:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('tel1'); ?>"
			name="<?php echo $this->get_field_name('tel1'); ?>" type="text"
			value="<?php echo esc_attr($tel1); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('tel2'); ?>"><?php _e('شماره تماس دوم:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('tel2'); ?>"
			name="<?php echo $this->get_field_name('tel2'); ?>" type="text"
			value="<?php echo esc_attr($tel2); ?>">
		</p>

		<?php

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : ' تماس با پشتیبانی';
		$instance['tel1'] = (!empty($new_instance['tel1'])) ? strip_tags($new_instance['tel1']) : '';
		$instance['tel2'] = (!empty($new_instance['tel2'])) ? strip_tags($new_instance['tel2']) : '';

		return $instance;
	}


}
