<?php
defined('ABSPATH') or die('No script kiddies please!');

add_action( 'widgets_init', 'roman_reg_support_ticket' );
function roman_reg_support_ticket() {

	register_widget( 'filepress_widget_support_ticket' );

}

class filepress_widget_support_ticket extends WP_Widget {
	private static $widget_id;

	/*  Constructor
	/* ------------------------------------ */
	function __construct() {
		parent::__construct(false, __('A_wd7:: لینک تیکت پشتیبانی', 'filepress'), array('description' => __('::wd7::لینک تیکت پشتیبانی', 'filepress'), 'classname' => 'filepress_widget_support_ticket send_ticket_wrapper background_widget_wrapper shadow_contects_min widget'));
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget($args, $instance) {
		self::$widget_id = $args['widget_id'];
		echo $args['before_widget'];
		echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'] ;

		$this->tabsContent($instance);
		echo $args['after_widget'];
	}

	public function tabsContent($args) {

		$title = $args['title'];
		$link = $args['link'];
		?>
        		<a  class="send_ticketr-send" href="<?php echo $link; ?>"><i class="fa fa-tag"></i> <?= $title; ?></a>

		<?php

	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form($instance) {
		$title = !empty($instance['title']) ? $instance['title'] : __(' ارسال تیکت به پشتیبانی ', 'filepress');
		$link = !empty($instance['link']) ? $instance['link'] : get_bloginfo('url' );
		?>
		<style>
			.filepress-cat-slider{ padding:3px; border:1px solid #bbb; border-radius:3px; margin:5px; }
			.filepress-cat-slider select {  max-width: 100%; }
		</style>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
			name="<?php echo $this->get_field_name('title'); ?>" type="text"
			value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('لینک قسمت پشتیبانی:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('link'); ?>"
			name="<?php echo $this->get_field_name('link'); ?>" type="text"
			value="<?php echo esc_attr($link); ?>">
		</p>

		<?php

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : ' ارسال تیکت به پشتیبانی ';
		$instance['link'] = (!empty($new_instance['link'])) ? strip_tags($new_instance['link']) : get_bloginfo('url' );

		return $instance;
	}


}
